/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include "main.h"

CY_ISR_PROTO(timer_isr);

uint16 gTimer[NUM_TIMERS];
BOOLEAN gRunTimerProcess = DEF_FALSE;

static void timerProcess( void );

const uint16 code cTimeOuts[NUM_TIMERS] = {    
	(uint16) (60.0 * ONE_MINUTE)
	
};

void timer_isr(void)
{
	uint8 newstate;
	newstate = Timer_1_ReadStatusRegister();
	gRunTimerProcess = DEF_TRUE;
}



void main()
{
	uint8 i;
	
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	clock_1_Enable();
	
	/*Enable the Interrupt component connected to Timer interrupt*/
    TimerISR_StartEx(timer_isr);
	Timer_1_Start();
	
	/*TimerISR_Disable();
	
    TimerISR_Enable();	*/
	
	gTimer[SYSTEM_CLOCK] = 1;;
    CyGlobalIntEnable;  /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
        /* Place your application code here. */
		if (gRunTimerProcess) {	// half sec flag
			gRunTimerProcess = DEF_FALSE;	
			
			for (i = 0; i < (uint8) NUM_TIMERS; i++)
			{
				if ((gTimer[i] != TIMER_DISABLED) &&
					(gTimer[i] < cTimeOuts[i] ) )
				{
					gTimer[i]++;
				}
			}
		}
    }
}

/* [] END OF FILE */
